> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_observations_list.md).

# iai observations list

List observations

## Synopsis

List observations for a specific trace or search across traces with filters.

When --trace-id is provided, lists observations within that trace. Without --trace-id, searches observations across all traces with optional filters.

Uses the platform API with dual authentication (API key or session).

```
iai observations list [flags]
```

## Examples

```
  # List observations for a specific trace
  iai observations list --trace-id abc123
  iai observations list --trace-id abc123 --include-io
  iai observations list --trace-id abc123 --columns id,type,name,model,latency_ms

  # Search observations across traces
  iai observations list --type GENERATION --model gpt-4
  iai observations list --from-timestamp 2025-01-01T00:00:00Z --name my-span
  iai observations list --json | jq '.data'
```

## Options

```
      --columns strings                Columns to display for table output only (comma-separated). Cannot be used with --json or --yaml
                                       With --trace-id default: id,type,name,model,latency_ms,total_cost,total_tokens
                                       Without --trace-id default: id,trace_id,type,name,model,latency_ms,total_cost,total_tokens
      --cursor string                  Cursor for pagination
      --environment string             Filter by environment
      --fields string                  Field groups to include (comma-separated)
      --from-timestamp string          Filter observations from this timestamp (ISO 8601, default: 7 days ago)
  -h, --help                           help for list
      --include-io                     Include input/output/metadata in response (only with --trace-id)
      --json                           Output raw API response as JSON
      --level string                   Filter by level
      --limit int                      Items per page (max 100)
      --model string                   Filter by model
      --name string                    Filter by observation name
  -o, --organization string            Organization name that owns the project
      --parent-observation-id string   Filter by parent observation ID
  -p, --project string                 Project name
      --to-timestamp string            Filter observations to this timestamp (ISO 8601)
      --trace-id string                Trace ID to list observations for (scopes to a single trace)
      --type string                    Filter by observation type
      --user-id string                 Filter by user ID
      --version string                 Filter by version
      --yaml                           Output raw API response as YAML
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai observations](/cli/iai_observations.md) - Inspect spans within traces


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_observations_list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
